//////////////////////////////////////////////////////////////////////
// Control Panel and domain control data
// Written by Jonathan A. Foster <ChipMaster@YeOlPiShack.net>
// Started August 13th, 2021
// Copyright JF Possibilities, Inc. All rights reserved.
//
// Data for dealing with white / black lists.
//////////////////////////////////////////////////////////////////////
#ifndef __CONTROL_DATA_H__
#define __CONTROL_DATA_H__
#include <string>
#include <vector>
#include <cppcms/base_content.h>
//#include <booster/function.h>
//#include <cppcms/serialization.h>



struct Domain {
  enum STATUS {undecided, accepted, blocked};
  std::string           name;    // domain name
  std::string           decided; // since C++ doesn't have a date/time
  int                   status;  // how we should handle it
};



struct DomainList :public cppcms::base_content {
  std::vector<Domain>   list;
  std::string           filter; // Which filter was used to show list
  int                   page, pages, page_size, count;
};



#endif